You are not logged in.

#1 2021-03-25 15:02:31

1ndeed
Member
Registered: 2018-09-28
Posts: 25

[SOLVED] dependencies of netatalk broken

I first:

# pacman -Syu
...
looking for conflicting packages...
  :: dbus-python and python2-dbus are in conflict. Remove python2-dbus? [y/N] y
...

I didn't remember much, but doing so will break `netatalk`. But I went ahead anyway, thinking you guys will work it out soon or later.
But it has been a while:

$ pacman -S netatalk
resolving dependencies...
warning: cannot resolve "python2-dbus", a dependency of "netatalk"
:: The following package cannot be upgraded due to unresolvable dependencies:
      netatalk

:: Do you want to skip the above package for this upgrade? [y/N] N
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'python2-dbus' required by netatalk
$ rua install netatalk
Package netatalk depends on python2-dbus. Resolving...
Need to install packages: ["python2-dbus"], but they are not found on AUR.

And so I cannot use AFP now. Is there anything I can do? Or should I keep waiting?

Last edited by 1ndeed (2021-04-04 06:36:26)

Offline

#2 2021-03-25 15:20:45

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,415

Re: [SOLVED] dependencies of netatalk broken

1ndeed wrote:

But I went ahead anyway, thinking you guys will work it out soon or later.

There's no "you guys" involved; this is an AUR package. If it's broken fix it. If there's a missing dep, package it. Nothing for Arch to fix.

Edit: How are you finding netatalk with pacman? Some 3rd party repo? Some other distro?

Last edited by Scimmia (2021-03-25 15:32:59)

Offline

#3 2021-03-25 16:35:53

1ndeed
Member
Registered: 2018-09-28
Posts: 25

Re: [SOLVED] dependencies of netatalk broken

Scimmia wrote:
1ndeed wrote:

But I went ahead anyway, thinking you guys will work it out soon or later.

There's no "you guys" involved; this is an AUR package. If it's broken fix it. If there's a missing dep, package it. Nothing for Arch to fix.

Edit: How are you finding netatalk with pacman? Some 3rd party repo? Some other distro?

Oh, I see... My apology for my ignorance.

And yes, it's a 3rd party repo.

$ pacman -Ss netatalk
archlinuxcn/netatalk 3.1.12-4
    Open-source implementation of the Apple Filing Protocol

Offline

#4 2021-03-25 21:40:05

loqs
Member
Registered: 2014-03-06
Posts: 13,176

Re: [SOLVED] dependencies of netatalk broken

Offline

#5 2021-03-25 22:36:14

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,573

Re: [SOLVED] dependencies of netatalk broken

Moving to AUR issues.

Offline

#6 2021-03-26 15:36:32

a821
Member
Registered: 2012-10-31
Posts: 240

Re: [SOLVED] dependencies of netatalk broken

FYI, the maintainer updated the package.

Offline

Board footer

Powered by FluxBB